Summary:	The GNU Privacy Assistant
Name:		gpa
Version:	0.8.0
Release:	%mkrel 1
License:	GPLv2+
Group:		File tools
URL:		http://wald.intevation.org/projects/gpa/
Source0:	http://wald.intevation.org/frs/download.php/350/%{name}-%{version}.tar.bz2
Source1:	%{SOURCE0}.sig
BuildRequires:	gnupg
BuildRequires:	gpgme-devel >= 0.4.3
BuildRequires:	gtk+2-devel
BuildRequires:	libassuan-devel
Requires:	gnupg
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
The GNU Privacy Assistant is a graphical user interface for the
GNU Privacy Guard (GnuPG). GnuPG is a system that provides you with
privacy by encrypting emails or other documents and with
authentication of received files by signature management.

Install this package if you want to have an easy interface for GnuPG.

%prep
%setup -q

%build
%configure2_5x \
	--disable-rpath
%make

%install
rm -fr %{buildroot}
%makeinstall_std

# menu entry
mkdir -p %{buildroot}%{_datadir}/applications/
cat << EOF > %{buildroot}%{_datadir}/applications/%{name}.desktop
[Desktop Entry]
Type=Application
Exec=%{_bindir}/gpa
Icon=%{name}
Name=GNU Privacy Assistant
Comment=Graphical User Interface for GnuPG
Categories=GTK;System;
EOF

%find_lang %{name}

%if %mdkversion < 200900
%post
%{update_menus}
%endif
 
%if %mdkversion < 200900
%postun
%{clean_menus}
%endif

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog README README-alpha THANKS TODO
%{_bindir}/*
%{_datadir}/gpa
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/%{name}.png


%changelog
* Sat Nov 08 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.8.0-1mdv2009.1
+ Revision: 300959
- update to new version 0.8.0
- add buildrequires on libassuan-devel

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.7.6-3mdv2009.0
+ Revision: 246529
- rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Sun Dec 30 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.7.6-1mdv2008.1
+ Revision: 139673
- new version 0.7.6
- drop useless icons
- correct url and Source0
- fix desktop file
- new license policy
- do not package COPYING file
- fix file list
- nuke rpath

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'

* Tue Aug 28 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.7.0-5mdv2008.0
+ Revision: 72269
- convert menu to XDG
- use %%mkrel


* Wed Apr 20 2005 Lenny Cartier <lenny@mandriva.com> 0.7.0-3mdk
- rebuild

* Wed Feb 11 2004 David Baudens <baudens@mandrakesoft.com> 0.7.0-2mdk
- Fix menu

* Sat Jan 24 2004 Abel Cheung <deaddog@deaddog.org> 0.7.0-1mdk
- 0.7.0
- Use bundled 48 icon, and hand-made 32/16 icons, as this icon is
  uncomprehensible in smaller sizes

* Thu Jan 16 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.4.3-2mdk
- rebuild

* Tue Jan 15 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.4.3-1mdk
- 0.4.3

* Wed Dec 26 2001 David BAUDENS <baudens@mandrakesoft.com> 0.4.2-2mdk
- Use default file tools icon for menu entry
- Add missing files

* Mon Dec 03 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.4.2-1mdk
- 0.4.2

* Thu Nov 08 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.4.1-3mdk
- rebuild

* Sun Apr 08 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.4.1-2mdk
- %%find_lang to get locales.
- Don't make /usr/share belong to the package.

* Sun Apr 08 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.4.1-1mdk
- Back in contribs built with a new and shiny source.
- s/I/j/ for the tar command during build.

* Mon Oct 02 2000 Daouda Lo <daouda@mandrakesoft.com> 0.3.1-6mdk
- add icons to menuentry

* Wed Sep 27 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.3.1-5mdk
- fix menu entry

* Fri Sep 01 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.3.1-4mdk
- added %%lang

* Wed Aug 02 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.3.1-3mdk
- add menu

* Wed Aug 02 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.3.1-2mdk
- fix requires

* Wed Jul 26 2000 Alexander Skwar <> 0.3.1-1mdk
- First Mandrake package

